# SQL virtual machine

> see https://aka.ms/autorest

This is the AutoRest configuration file for SQL virtual machine.



---
## Getting Started
To build the SDK for SQL virtual machine, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the SQL virtual machine API.

``` yaml
title: SqlVirtualMachineManagementClient
description: The SQL virtual machine management API provides a RESTful set of web APIs that interact with Azure Compute, Network & Storage services to manage your SQL Server virtual machine. The API enables users to create, delete and retrieve a SQL virtual machine, SQL virtual machine group or availability group listener.
openapi-type: arm
tag: package-2017-03-01-preview
```

### Tag: package-2017-03-01-preview

These settings apply only when `--tag=package-2017-03-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-03-01-preview'
input-file:
- Microsoft.SqlVirtualMachine/preview/2017-03-01-preview/sqlvm.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
```


### C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.SqlVirtualMachine
  output-folder: $(csharp-sdks-folder)/SqlVirtualMachine/Management.SqlVirtualMachine/Generated
  clear-output-folder: true
```


### Python

These settings apply only when `--python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.
Use `--python-mode=update` if you already have a setup.py and just want to update the code itself.

``` yaml $(python)
python-mode: create
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  namespace: azure.mgmt.sqlvirtualmachine
  package-name: azure-mgmt-sqlvirtualmachine
  clear-output-folder: true
```

``` yaml $(python) && $(python-mode) == 'update'
python:
  no-namespace-folders: true
  output-folder: $(python-sdks-folder)/azure-mgmt-sqlvirtualmachine/azure/mgmt/sqlvirtualmachine
```

``` yaml $(python) && $(python-mode) == 'create'
python:
  basic-setup-py: true
  output-folder: $(python-sdks-folder)/azure-mgmt-sqlvirtualmachine
```
